﻿<?php
if (!class_exists('rssCIItem', false)) {
	class rssFile{
		var $rss;
		var $rssPath;
		var $rssURL;
		function __construct($rss,$rssPath,$rssURL){
			$this->rss     =$rss;
			$this->rssPath =$rssPath;
			$this->rssURL  =$rssURL;
		}
		function getRss(){
			return   $this->rss ;
		}
		function getRssPath(){
			return   $this->rssPath ;
		}
		function getRssURL(){
			return   $this->rssURL ;
		}
		function setRss($rss){
			$this->rss=$rss;
		}
		function setRssPath($rssPath){
			$this->rssPath=$rssPath;
		}
		function setRssURL($rssURL){
			$this->rssURL=$rssURL;
		}
	}
}
if (!class_exists('rssCIItem', false)) {
	class rssCIItem{
		static function cmpName($a, $b){
			//echo $a->getMediaName()." ".$b->getMediaName()." ".strcasecmp($a->getMediaName(),$b->getMediaName())."<br>";
			$x=strcasecmp($a->getMediaName(),$b->getMediaName());
			if($x==0) return 0;
			return ($x<0)?-1:1;
		}
		static function cmpNameInverse($a, $b){
			return strcasecmp($b->getMediaName(),$a->getMediaName());
		}
		static function cmpDate($a, $b){
			if ($a->getMediaDate()==$b->getMediaDate()) return 0;
			if ($a->getMediaDate()> $b->getMediaDate()) return 1;
			if ($a->getMediaDate()< $b->getMediaDate()) return -1;
		}

		static function cmpDateInverse($a, $b){
			if ($a->getMediaDate()==$b->getMediaDate()) return 0;
			if ($a->getMediaDate()< $b->getMediaDate()) return 1;
			if ($a->getMediaDate()> $b->getMediaDate()) return -1;
		}

		static function cmpPath($a, $b){
			return strcasecmp($a->getMediaPath().'/'.$a->getMediaName(),$b->getMediaPath().'/'.$b->getMediaName());
		}

		var $title;
		var $guid;
		var $thumbnail;
		var $content;
		var $mediaUrl;
		var $mediaPath;
		var $mediaType;
		var $used;
		var $mediaDate;
		var $mediaName;
		var $showLink;
		var $link;
		var $_debug=false;

		function __toString(){
			$rssText='
      <item>
       '.$this->getTitleTag().'
       '.$this->getGuidTag().'
       '.$this->getLinkTag().'
       '.$this->getThumbnailTag().'
       '.$this->getContentTag().' 
      </item>';
             
			return $rssText;
		}
		function debug($msg){
			if($this->_debug) echo "RSSItem:".$msg."<br>
  	";
		}
		
		function __construct( $mediaPath,$mediaUrl,$media,$playIco,$showLink,$_debug=false,$link=""){
			$this->_debug=$_debug;
			$this->used=FALSE;
			$this->mediaName=$media;
			$this->mediaPath=$mediaPath;
			$this->mediaDate=filemtime( $this->mediaPath.'/'.$this->mediaName);
			$this->showLink=$showLink;
			$vowels = array(".", "_", "-", "jpg","flv", "gif", "JPG", "GIF","FLV");
			$this->title =str_replace($vowels, " ", $media);
			$this->guid=md5($mediaPath.$media);
			$this->mediaUrl=$mediaUrl;
		
			switch ($this->showLink){
				
				case 0:$this->link="";
				break;
				case 1:if($mediaUrl!=""){
					$this->link=$mediaUrl."/".$this->mediaName;
				}
				break;
				case 2:
					
				$this->link=$mediaUrl."/".$this->mediaName.".php";
				$this->linkFileCreate();
				break;
				case 3:$this->link=$link;
				break;
			}
			
			if(substr(strtolower($this->mediaName),-3) == 'flv'){
				$this->mediaType="video";
				$this->thumbnail=$playIco;
				$this->content=$mediaUrl."/".$this->mediaName;
			}else{
				$this->thumbnail=$mediaUrl."/".$this->mediaName;
				$this->content=$mediaUrl."/".$this->mediaName;
				$this->mediaType="img";
			}

			$this->mediaUrl=$mediaUrl."/".$this->mediaName;
			$this->debug("MEDIA NAME:".$this->mediaName." MEDIA PATH:".$this->mediaPath);
		}
	  function linkFileCreate(){
	  	$fn=$this->mediaPath.DS.$this->mediaName.".php";

  	if (!file_exists($fn)){
    try{
    
       $file_handle = fopen($fn, "w");
       if (!$file_handle) {
          echo "File ".$fn." creation error";
       }
       fwrite($file_handle,'<html>
 <body>
  <img src="'.$this->mediaUrl."/".$this->mediaName.'" />
 </body>
</html');
  
       fclose($file_handle);
       
    }catch(Exception $e)
    {
      echo 'Message: ' .$e->getMessage();
    }
   } 
  
  }
		function getMediaName(){
			return $this->mediaName;
		}

		function getMediaUrl(){
			return $this->mediaUrl;
		}
		function getTitleTag(){
			return '<title>'.$this->title.'</title>';
		}
		function getTitle(){
			return $this->title;
		}
		function getGuidTag(){
			return '<guid>'.$this->guid.'</guid>';
		}
		function getGuid(){
			return $this->guid;
		}
		function setGuid($guid){
			$this->guid=$guid;
		}
		function getLinkTag(){
			return ($this->showLink!=0)?'<link>'.$this->link.'</link>':"";
		}
		function getLink(){
			return $this->link;
		}
		function getThumbnailTag(){
			return '<media:thumbnail  url="'.$this->thumbnail.'"/>';
		}
		function getThumbnail(){
			return $this->thumbnail;
		}
		function getContentTag(){
			return ($this->mediaType=='video')?'<media:content type="video/x-flv" url="'.$this->content.'"/>':'<media:content url="'.$this->content.'"/>';

		}
		function getContent(){
			return $this->content;

		}
		function getMediaType(){
			return $this->MediaType;
		}

		function isUsed(){
			return $this->used;
		}

		function setUsed($bool){
			$this->used=$bool;
		}

		function isVideo(){
			return $this->MediaType=="video" ;
		}

		function getMediaPath(){
			return $this->mediaPath;
		}

		function getMediaDate(){
			return $this->mediaDate;
		}

	}
}
if (!class_exists('rssCIItemList', false)) {
	class rssCIItemList extends ArrayObject {
		private static $itemExt = array("JPG","PNG","GIF","PNG","FLV","FLW");
		private $music;
		private $logo;
		private $_debug=false;

		function debug($msg){
			if($this->_debug) echo "rssCIItemList:".$msg."<br/>
  	";
		}
		function __construct($_directory="",$_url="",$_playico="",$_logo="",$_music="",$_showLink=1,$_debug=false,$_filterRegEx='/BNCKTMB/i',$_link=""){
			parent::__construct();
			$this->setLogo($_logo);
			$this->setMusic($_music);
			$this->_debug=$_debug;
			if ($dh = opendir($_directory)) {
				while (($f = readdir($dh)) !== false) {
					$this->debug("FILE:".$f);
					$getExt    = explode ('.', $f);
					$getExt = strtoupper($getExt[count($getExt)-1]);
					//echo "<br>".preg_match($_filterRegEx,strtoupper($f))." f:".$f." reg".$_filterRegEx;
					if(in_array($getExt,rssCIItemList::$itemExt) && !preg_match($_filterRegEx,strtoupper($f))){
						$this->append(new rssCIItem($_directory,$_url,$f,$_playico,$_showLink,$this->_debug,$_link));
					}
				}
				closedir($dh);
			}
		}
		function append($_obj){
			if(get_class($_obj)=="rssCIItem"){
				parent::append($_obj);
				return;
			}
			if(get_class($_obj)=="rssCIItemList"){
				$iterator = $_obj->getIterator();
				while($iterator->valid()) {
					$this->append($iterator->current());
					$iterator->next();
				}
				return;
			}
		}
		function getMusic(){
			return $this->music;
		}
		function setMusic($_music){
			if($_music!="")
			$this->music='<atom:link rel="enclosure" type="audio/mpeg" length="1337" href="'.$_music.'" />';
		}
		function getLogo(){
			return $this->logo;
		}
		function setLogo($_logo){
			if($_logo!="")
			$this->logo='<atom:icon>'.$_logo.'</atom:icon>';
		}
		function sortByItemName(){
			$this->uasort('rssCIItem::cmpName');
		}
		function sortByItemNameReverse(){
			$this->uasort('rssCIItem::cmpNameInverse');
		}
		function sortByItemDate(){
			$this->uasort('rssCIItem::cmpDate');
		}
		function sortByItemDateReverse(){
			$this->uasort('rssCIItem::cmpDateInverse');
		}
		function sortByItemPath(){
			$this->uasort('rssCIItem::cmpPath');
		}
		function __toString(){
			$rss=
  '<?xml version="1.0" encoding="utf-8" standalone="yes"?>
   <rss version="2.0" xmlns:media="http://search.yahoo.com/mrss" xmlns:atom="http://www.w3.org/2005/Atom">
    <channel>
    '.$this->getMusic().'
    '.$this->getLogo();
			$iterator = $this->getIterator();
			$i=1000;
			while($iterator->valid()) {
				//echo $iterator->key() . ' => ' . $iterator->current() . "<br>\n";
				echo "<!--".$iterator->current()->__toString()."<br>\n-->";
				$guid=$iterator->current()->getGuid();
				$guid=$i.$guid."";
				$iterator->current()->setGuid($guid);
				$rss.=$iterator->current()->__toString();
				$iterator->next();
				$i++;
			}
			$rss.='
    </channel>
   </rss>';
			return $rss;
		}

	}
}
?>