<?php
/**
 * @Copyright Copyright (C) 2010- boncko
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html,
 **/

defined( '_JEXEC' ) or die( 'Restricted access' );

class plgContentplgBonckoSlideShow extends JPlugin{
	var $width = 200;
	var $height =  0;
	var $rootfolder = 'images/stories';
	var $mosConfig_absolute_path = '';
	var $mosConfig_live_site ='';
	var $docRoor='';
	var $imagesFileNamePrefix='bonckoslide';
	var $imagesFileName='';
	var $sortorder=0;
	var $debug=FALSE;
	var $cssClass="bonckoslideshow";
	var $fuuscreen=TRUE;
	var $backgroundColor;
	var $align;
	var $param;
	var $disallowedPrefix=array("BNCKTMB");
	var $disallowedReg="";
	var $autoFinishMode;
	var $navAppearance;
	var $navThumbLinkSize;
	var $transitionStyle;
	var $contentScale;
	var $startup;
	var $captionAppearance;
	var $iptcenable="FALSE";
	var $displayMode="Auto";
	var $imageLink="TRUE";
	var $overwritexml="TRUE";
	var $contentAreaAction;
	var $showFolderName="TRUE";
	var $lightBox="FALSE";
	var $linkText="";
	var $linkThumbnail="";
	var $widthTn;
	var $heightTh;
	var $posTh="none";
	var $source="0";
	var $fkey="user";
	var $fuser="";
	var $falbum="";
	var $fsearch="none";
	var $feedURL="";
	var $rssFormat="Default";
	var $loadColorbox=false;
	var $loadJQuery=false;

	function plgContentplgBonckoSlideShow( &$subject )
	{
		parent::__construct( $subject );
		$this->_plugin = JPluginHelper::getPlugin( 'content', 'plgBonckoSlideShow' );
		$this->_params = new JParameter( $this->_plugin->params );
		$this->mosConfig_absolute_path = JPATH_SITE;
		$this->mosConfig_live_site = JURI :: base();
		$u =& JFactory::getURI();


		if(substr($this->mosConfig_live_site, -1)=="/") $this->mosConfig_live_site = substr($this->mosConfig_live_site, 0, -1);
		if(substr($this->mosConfig_absolute_path, -1)=="/") $this->mosConfig_live_site = substr($this->mosConfig_live_site, 0, -1);
		if(substr($this->rootfolder, -1)=="/")$this->rootfolder= substr($this->rootfolder,0, -1);

		$this->debug      =($this->_params->get('debug','0')=='1');
		$this->rootfolder = $this->_params->get('rootfolder','');
		$this->sortorder  = $this->_params->get('sortorder',0);
		$this->cssClass  .= $this->_params->get('cssClassSuffix','');
		$this->loadColorbox=($this->_params->get('loadColorbox','2')=='1')|| (($this->_params->get('loadColorbox','2')=='2')&&!$this->isJSLoaded('colorbox-min.js'));
		$this->loadJQuery  =($this->_params->get('loadJQuery','2')=='1')  || (($this->_params->get('loadJQuery','2')=='2')  &&!$this->isJSLoaded('jquery-latest.js'));
		
		$mystr  =strtoupper($this->_params->get('prefix','THUMB'));
		$arr=explode(",",$mystr);
		$this->disallowedPrefix=array_merge($this->disallowedPrefix,$arr);
		$this->disallowedReg="/(".implode("|", $this->disallowedPrefix).")/i";
			
		if($this->debug ) error_reporting(E_ALL );
		$this->_debug("<h3> <br/>Debug Mode set to On in plugin configuration </h3>");
		$this->_debug("<br/>
    PlgCfg rootfolder     ".$this->rootfolder."<br/>
    PlgCfg sortorder      ".$this->sortorder."<br/>
    PlgCfg cssClassSuffix ".$this->cssClass."<br/>
	PlgCfg prefix         ".$this->disallowedReg."<br/>
	PlgCfg loadColorbox   ".$this->loadColorbox."<br/>
	PlgCfg loadJQuery     ".$this->loadJQuery."<br/>
	");
	$this->addJavascript();
	}

	function _debug($testo){
		if ($this->debug) echo $testo.'<br />';
			
	}
    
	function isJSLoaded($js){
		$document =& JFactory::getDocument();
		unset($headData);
		$headData = $document->getHeadData();
		$headData_keys = array_keys($headData["scripts"]);
		$this->_debug( "Ricerca :".$js);
		for($i = 0;$i < count($headData_keys); $i++)
		{
			$this->_debug( $headData_keys[$i]);
			if(preg_match('/'.$js.'/i', $headData_keys[$i]))
			{
				$this->_debug("FOUND :".$js." in :".$headData_keys[$i]);
				return true;
			}
		}
		$this->_debug($js." - NOT FOUND");
		return false;
	}
	
	function addJavascript(){

		$document =& JFactory::getDocument();
		//$document->addScriptDeclaration($js);
		if ($this->lightBox) {
			$this->_debug("Carico Javascript x LightBox");
			if($this->loadJQuery){
				$this->_debug("Carico jquery");
				$document->addScript('http://code.jquery.com/jquery-latest.js');
			}
			if($this->loadColorbox) {
				$this->_debug("Carico colobox");
				$document->addScript($this->mosConfig_live_site.'/plugins/content/BonckoSlideShow/js/jquery.colorbox-min.js');
				$document->addCustomTag('<LINK href="'.$this->mosConfig_live_site.'/plugins/content/BonckoSlideShow/css/colorbox.css" rel="stylesheet" type="text/css">');
			}
			
		}
		else{$this->_debug("NON Carico Javascript x LightBox");}
	}

	function paramXmlCreate($sfx){
		include 'BonckoSlideShow/param.php';
		$this->writeToFile($this->mosConfig_absolute_path.$this->rootfolder.DS."param".$sfx.".xml",$param);
	}

	function writeToFile($fileName,$str){

		$file_handle = fopen($fileName, "wb");
		if (!$file_handle) {
			echo "File ".$fileName." creation error";
		}
		//    $this->_debug($rss->__toString());
		fwrite($file_handle, utf8_encode($str));
		fclose($file_handle);
		$this->_debug("File ".$fileName." created");

	}
	function imagesXmlCreate($sfx,$dirs=""){
		$size=0;
		$info='';

		$noimage=0;
		$directory=array();
		$allowedExt=array("JPG","PNG","GIF","PNG","MOV","MP4","FLV");
		$allowedMusicExt=array("MP3");
		$images=array();
		$music=array();
		$imagesDir = $this->rootfolder.$dirs;
		$mosConfig_absolute_path=JPATH_SITE;
		if(substr($imagesDir,-1)!=='/') $imagesDir=$imagesDir.'/';
		$albumcontainer=basename($mosConfig_absolute_path.$imagesDir);
		if (!is_dir($mosConfig_absolute_path.substr($imagesDir, 0, -1))){
			echo "<br>Dir: ".$mosConfig_absolute_path.substr($imagesDir, 0, -1)." inesistente<br>";
			return;
		}
		$directory[]=$mosConfig_absolute_path.substr($imagesDir, 0, -1);
		$dh = opendir($mosConfig_absolute_path.$imagesDir);
		while (($d = readdir($dh)) !== false) {
			if(is_dir($mosConfig_absolute_path.$imagesDir.$d)){
				if(basename($d)!='.'&&basename($d)!='..'){

					$directory[]=$mosConfig_absolute_path.$imagesDir.$d;

				}
			}

		}

		for ($d=0;$d<count($directory);$d++){
			$this->_debug("Dir  ".$directory[$d]);
			if ($dh = opendir($directory[$d])) {
				$this->_debug("Dir  ".$directory[$d]." OPEN");
				while (($f = readdir($dh)) !== false) {
					$this->_debug("File   ".$f." found");
					if(in_array(strtoupper(substr(strrchr($f,'.'),1)),$allowedExt) && !preg_match($this->disallowedReg,strtoupper($f))){
						$images[substr($directory[$d],strlen($mosConfig_absolute_path)).'/'][] = $f;
						$this->_debug("File   ".$f." found");
						$noimage++;
					}
					if(in_array(strtoupper(substr(strrchr($f,'.'),1)),$allowedMusicExt)){
						$music[substr($directory[$d],strlen($mosConfig_absolute_path)).'/'] = $f;
						$this->_debug("Music ".$f." found");
					}
				}
			}
		}

		if($noimage < 1){
			echo "<br>Dir: ".$mosConfig_absolute_path.$imagesDir."non contiene img<br>";
			return;
		}
		$str=
'<?xml version="1.0" encoding="UTF-8"?>
<gallery title="Galley Titolo" description="Foto descrizione">';
		$alb=0;

		foreach(array_keys($images) as $dir) {
			$alb++;
			$dirtitle=basename($dir);
			$dirthumb=(array_key_exists($dir, $directory)&&count($directory[$dir])>0)?$directory[$dir][0]:"";
			$soundtrack=(array_key_exists($dir,$music))?' audio="'.$this->mosConfig_live_site.$dir.$music[$dir].'"':$soundtrack='';
			$title=($albumcontainer==$dirtitle)?$albumcontainer:$albumcontainer.' '.$dirtitle;
			$str.='<album id="ssp'.$alb.'"	lgPath="'.$this->mosConfig_live_site.$dir.'" tnPath="'.$this->mosConfig_live_site.$dir.'" title="'.$title.'" description="" tn="'.$this->mosConfig_live_site.$dir.$images[$dir][0].'" '.$soundtrack.'>

			';
			$noimage=count($images[$dir]);
			switch ($this->sortorder) {
				case 1:
					sort($images[$dir],SORT_STRING );
					break;
				case 2:
					rsort($images[$dir],SORT_STRING );
					break;					
				case 5:
					shuffle($images[$dir]);
					break;
			}
			foreach ($images[$dir] as $a => $val) {
				//echo "$images[$dir][" . $a. "] = " . $val . "<br \>";
				$vowels = array(".", "_", "-", "jpg", "gif", "JPG", "GIF");
				$caption = str_replace($vowels, " ", $images[$dir][$a]);
				if($this->iptcenable){

					$size = getimagesize($mosConfig_absolute_path.$dir.$images[$dir][$a],$info);
					if(is_array($info)){

						if (isset($info["APP13"])) {
							$iptc = iptcparse($info["APP13"]);
							$ipctcaption = $iptc["2#120"][0];
							if(strlen  (  trim($ipctcaption))){
								$caption=mb_convert_encoding($ipctcaption, "ISO-8859-1", mb_detect_encoding($ipctcaption, "auto", true));

							}
						}
					}
				}
				$link=($this->imageLink)?$link=' link="'.$dir.$images[$dir][$a].'" ':'';
				$url=$dir.$images[$dir][$a];
				$img=$images[$dir][$a];
				if(!$this->showFolderName) $title="";
				$str.= '<img src="'.$img.'" id="id'.$a.'"  title="'.$title.' Image '.($a+1).' of '.$noimage.'" caption="'.$caption.'" '.$link.'	target="image" pause="" />

  ';
			}

			$str.= '
</album>';
		}
		$str.='
</gallery>';
		$fn=$this->mosConfig_absolute_path.$this->rootfolder.DS."images".$sfx.".xml";
		if( !file_exists ( $fn) || $this->overwritexml )
		{
			$this->writeToFile($fn,$str);
		}
	}

	function onPrepareContent(&$row, &$params, $limitstart) {
		$regex='#{bonckoslideshow(.*?)}(.*?){/bonckoslideshow}#s';
		$row->text=preg_replace_callback($regex,array($this, 'bosMosBonckoSlideShow_replacer'),$row->text);
	}

	function getInlineParameterString($name,$str,$default=''){
		if (preg_match('#'.$name.'="(.*?)"#', $str, $regs)) {
			$this->_debug("InLine ".$name." regs[1]=".$regs[1]);
			return $regs[1];
		}
		$this->_debug("InLine ".$name." default =".$default);
		return $default;
	}

	function getInlineParameterBool($name,$str,$default=''){
		if (preg_match('#'.$name.'="(.*?)"#', $str, $regs)) {
			$this->_debug("InLine ".$name." regs[1]=".$regs[1]);
			return ($regs[1]=='1');
		}
		$this->_debug("InLine ".$name." default =".$default);
		return $default;
	}

	function getPluginParams(){
		$this->width      = $this->_params->get('width', 500);
		$this->height     = $this->_params->get('height', 400);
		$this->fullscreen =($this->_params->get('fullscreen','0')=='1');
		$this->backgroundColor =$this->_params->get('backgroundColor','000000');
		$this->align           =$this->_params->get('align','center');
		$this->autoFinishMode  =$this->_params->get('autoFinishMode','Switch');
		$this->contentScale    =$this->_params->get('contentScale','Downscale Only');
		$this->navAppearance   =$this->_params->get('navAppearance','Always Visible');
		$this->navThumbLinkSize=$this->_params->get('navThumbLinkSize','20');
		$this->transitionStyle =$this->_params->get('transitionStyle','Cross Fade');
		$this->startup 	       =$this->_params->get('startup','Load Album');
		$this->captionAppearance=$this->_params->get('captionAppearance','Overlay on Rollover (if Available)');
		$this->iptcenable       =($this->_params->get('iptcenable','0')=='1');
		$this->displayMode      =$this->_params->get('displayMode','Auto');
		$this->imageLink        =($this->_params->get('imageLink','0')=='1');
		$this->overwritexml     =($this->_params->get('overwritexml','0')=='1');
		$this->contentAreaAction=$this->_params->get('contentAreaAction','Launch Hyperlink');
		$this->sortorder=$this->_params->get('sortorder','0');
		$this->showFolderName=($this->_params->get('showFolderName','0')=='1');;
		$this->lightBox=($this->_params->get('lightBox','0')=='1');
		$this->linkText=$this->_params->get('linkText','');
		$this->linkThumbnail=$this->_params->get('linkThumbnail','');
		$this->widthTn=$this->_params->get('widthTn',"");
		$this->heightTh=$this->_params->get('heightTh',"");
		$this->posTh=$this->_params->get('posTh','none');

		$this->source=$this->_params->get('source','0');
		$this->fkey=$this->_params->get('fkey','user');
		$this->fuser=$this->_params->get('fuser','');
		$this->falbum=$this->_params->get('falbum','');
		$this->fsearch=$this->_params->get('fsearch','');
		
		

			
		if ($this->debug) error_reporting(E_ALL);
		$this->_debug("
    
    PlgCfg width             ".$this->width."<br/>
    PlgCfg height            ".$this->height."<br/>
    PlgCfg fullscreen        ".$this->fullscreen."<br/>
    PlgCfg backgroundColor   ".$this->backgroundColor."<br/>
    PlgCfg align             ".$this->align."<br/> 
    PlgCfg autoFinishMode    ".$this->autoFinishMode."<br/>
    PlgCfg contentScale      ".$this->contentScale."<br/>
    PlgCfg navAppearance     ".$this->navAppearance."<br/>
    PlgCfg navThumbLinkSize  ".$this->navThumbLinkSize."<br/>
    PlgCfg transitionStyle   ".$this->transitionStyle."<br/>
    PlgCfg startup           ".$this->startup."<br/>
    PlgCfg captionAppearance ".$this->captionAppearance."<br/>
    PlgCfg iptcenable        ".$this->iptcenable."<br/>
    PlgCfg imageLink         ".$this->imageLink."<br/>
    PlgCfg displayMode       ".$this->displayMode."<br/>
    PlgCfg overwritexml      ".$this->overwritexml."<br/>
    PlgCfg contentAreaAction ".$this->contentAreaAction."<br/>
    PlgCfg showFolderName 	 ".$this->showFolderName."<br/>
	PlgCfg lightBox			 ".$this->lightBox."<br/>   
	PlgCfg linkText			 ".$this->linkText."<br/>   
	PlgCfg linkThumbnail	 ".$this->linkThumbnail."<br/>   
	PlgCfg widthTn			 ".$this->widthTn."<br/>   
	PlgCfg heightTh			 ".$this->heightTh."<br/>
	PlgCfg posTh             ".$this->posTh."<br/>   
	PlgCfg source 		     ".$this->source."<br/>   
	PlgCfg fkey   		     ".$this->fkey."<br/>   
	PlgCfg fuser  		     ".$this->fuser."<br/>   
	PlgCfg falbum 		     ".$this->falbum."<br/>   
	PlgCfg fsearch		     ".$this->falbum."<br/>   
   
    ");
	}

	function getInlineParams($str){
		$this->_debug("InLine Params ".$str."<br/>");
		$this->width=$this->getInlineParameterString("width",$str,$this->width);
		$this->height=$this->getInlineParameterString("height",$str,$this->height);
		$this->fullscreen=$this->getInlineParameterBool("fullscreen",$str,$this->fullscreen);
		$this->backgroundColor=$this->getInlineParameterString("backgroundColor",$str,$this->backgroundColor);
		$this->align=$this->getInlineParameterString("align",$str,$this->align);
		$this->autoFinishMode=$this->getInlineParameterString("autoFinishMode",$str,$this->autoFinishMode);
		$this->contentScale=$this->getInlineParameterString("contentScale",$str,$this->contentScale);
		$this->navAppearance=$this->getInlineParameterString("navAppearance",$str,$this->navAppearance);
		$this->navThumbLinkSize=$this->getInlineParameterString("navThumbLinkSize",$str,$this->navThumbLinkSize);
		$this->transitionStyle=$this->getInlineParameterString("transitionStyle",$str,$this->transitionStyle);
		$this->startup=$this->getInlineParameterString("startup",$str,$this->startup);
		$this->iptcenable=$this->getInlineParameterBool("iptcenable",$str,$this->iptcenable);
		$this->displayMode=$this->getInlineParameterString("displayMode",$str,$this->displayMode);
		$this->imageLink=$this->getInlineParameterBool("imageLink",$str,$this->imageLink);
		$this->overwritexml=$this->getInlineParameterBool("overwritexml",$str,$this->overwritexml);
		$this->contentAreaAction=$this->getInlineParameterString("contentAreaAction",$str,$this->contentAreaAction);
		$this->sortorder=$this->getInlineParameterString("sortorder",$str,$this->sortorder);
		$this->showFolderName=$this->getInlineParameterBool("showFolderName",$str,$this->showFolderName);
		$this->lightBox=$this->getInlineParameterBool("lightBox",$str,$this->lightBox);
		$this->linkText=$this->getInlineParameterString("linkText",$str,$this->linkText);
		$this->linkThumbnail=$this->getInlineParameterString("linkThumbnail",$str,$this->linkThumbnail);
		$this->widthTn=$this->getInlineParameterString("widthTn",$str,$this->widthTn);
		$this->heightTh=$this->getInlineParameterString("heightTh",$str,$this->heightTh);
		$this->posTh=$this->getInlineParameterString("posTh",$str,$this->posTh);
		$this->source=$this->getInlineParameterString("source",$str,$this->source);
		$this->fkey  =$this->getInlineParameterString("fkey",$str,$this->fkey);
		$this->fuser =$this->getInlineParameterString("fuser",$str,$this->fuser);
		$this->falbum=$this->getInlineParameterString("falbum",$str,$this->falbum);
		$this->fsearch=$this->getInlineParameterString("fsearch",$str,$this->fsearch);
		
	}

	function bosMosBonckoSlideShow_replacer(&$matches){
			
		$this->getPluginParams();
		$this->getInlineParams(@$matches[1]);

		$this->_debug($this->debug,"
    match[0]=".@$matches[0]."<br/>
    match[1]=".@$matches[1]."<br/>
    match[2]=".@$matches[2]);
        $_temp=@$matches[2];
        $sfx=md5($_temp);
		//$this->addJavascript($sfx);
			$this->_debug("Source =".$this->source);
			switch ($this->source) {
				case "0":
					
					//source immagini locale
					$_temp=@$matches[2];
					$sfx=md5($_temp);
					$this->_debug("Source Locale ".$sfx);
					$this->rssFormat="Default";
					$this->imagesXmlCreate($sfx,$_temp);
					$this->feedURL=$this->mosConfig_live_site.$this->rootfolder.DS.'images'.$sfx.'.xml';
					break;
				case "1":
					
					$_temp="picasa".$this->fkey.$this->fuser.$this->falbum.$this->fsearch;
					$sfx="picasa".$sfx=md5($_temp);
					$this->_debug("Source Picasa ".$sfx); 
					$this->rssFormat="Media RSS";
					$qstr="";
					if($this->fkey=="user"){
						if($this->fuser!=''&& $this->falbum=='') $qstr.="api/user/".$this->fuser."?";
						if($this->fuser!=''&& $this->falbum!='') $qstr.="api/user/".$this->fuser."/album/".$this->falbum."?";
						if($this->fuser!=''&& $this->falbum=='') $qstr.="api/album/".$this->falbum."?";
					}
					if($this->fkey=="search"){
						$qstr="api/all?kind=photo&amp;q=".$this->fsearch."&amp;";
					}
					//$this->feedURL="/plugins/content/BonckoSlideShow/atom2rss.php?FEEDURL=http://photos.googleapis.com/data/feed/".$qstr."max-results=60&amp;alt=atom&amp;access=public";
					$this->feedURL="/plugins/content/BonckoSlideShow/atom2rss.php?FEEDURL=http://photos.googleapis.com/data/feed/".$qstr."max-results=60&amp;alt=atom&amp;access=public";                                                                       
					break;					
				case "2":
					$_temp="flikr".$this->fkey.$this->fuser.$this->falbum.$this->fsearch;
					$sfx="flikr".md5($_temp);
					$this->_debug("Source Flikr ".$sfx);					
					$this->rssFormat="Media RSS";
					$qstr="";
					if($this->fkey=="user"){
						if($this->fuser!=''&& $this->falbum=='') $qstr.="photoset.gne?nsid=.$this->fuser.";
						if($this->fuser!=''&& $this->falbum!='') $qstr.="photoset.gne?set=".$this->falbum."&amp;nsid=.$this->fuser.";
						if($this->fuser!=''&& $this->falbum=='') $qstr.="photoset.gne?set=".$this->falbum;
						$this->feedURL="http://api.flickr.com/services/rest/?method=flickr.photos.search&amp;user_id=".$this->fuser."&amp;format=feed-rss_200&amp;api_key=0cba5a3a96f45869bcb26bd043a2038f";
					
					}
					if($this->fkey=="search"){
						//$qstr="photos_public.gne?q=".$this->fsearch;
						$this->feedURL="http://api.flickr.com/services/rest/?method=flickr.photos.search&amp;text=".$this->fsearch."&amp;format=feed-rss_200&amp;api_key=0cba5a3a96f45869bcb26bd043a2038f";
					}					
					//$this->feedURL="http://api.flickr.com/services/feeds/".$qstr."&amp;format=rss_200&amp;api_key=18f1655a83fbfd95ed0870827fb3c6a5";
					//feed://api.flickr.com/services/rest/?method=flickr.photos.search&api_key=ee59fb3d1e7386969b95b36f338d770b&text=monti&format=feed-rss_200
					break;
			}
		
		//$this->imagesXmlCreate($sfx,$_temp);
		$this->paramXmlCreate($sfx);
		if ($this->lightBox){
			$width=($this->widthTn!="")?"width='".$this->widthTn."'":"";
			$height=($this->heightTh!="")?"height='".$this->heightTh."'":"";
			$caption="caption='".$this->linkText."'";
			return "
			<!--x=".$this->widthTn." y=".$this->heightTh."-->
			<a rel='plgBonckoSlideShow".$sfx."' href='/plugins/content/BonckoSlideShow/show.php?paramurl=".$this->mosConfig_live_site.$this->rootfolder."/param".$sfx.".xml' >
			".$this->linkText.
			" <img ".$width." ".$height." ".$caption." style='margin: 2px; float: ".$this->posTh.";' src='".$this->linkThumbnail."' />
			</a>
             <script>
             jQuery.noConflict();
             elem=jQuery(\"a[rel='plgBonckoSlideShow".$sfx."']\");
             if(elem!=null){
            
                elem.colorbox({width:\"80%\", height:\"80%\", iframe:true});
             }
			</script>
			";	
		}
		else{
			return '<div id="bnckflashcontentdiv-'.$sfx.'" style="text-align:'.$this->align.';">
    <object type="application/x-shockwave-flash"  
    height="'.$this->height.'" width="'.$this->width.'" 
    data="'.$this->mosConfig_live_site.'/plugins/content/BonckoSlideShow/slideshowpro.swf" 
    id="bnckflashcontent'.$sfx.'" 
    style="visibility: visible;">
    <param name="movie" value="'.$this->mosConfig_live_site.'/plugins/content/BonckoSlideShow/slideshowpro.swf">
    <param name="base" value="."/>
    <param name="bgcolor" value="'.$this->backgroundColor.'"/>
    <param name="allowfullscreen" value="true"/>
    <param name="wmode" value="transparent" />
    <param value="always" name="allowScriptAccess">
    <param name="flashvars" value="paramXMLPath='.$this->mosConfig_live_site.$this->rootfolder.'/param'.$sfx.'.xml"/>
</object>
</div>
';

		}

	}
}
	?>