<?php
if (!class_exists('rssCIItem', false)) {
	class rssFile{
		var $rss;
		var $rssPath;
		var $rssURL;
		function __construct($rss,$rssPath,$rssURL){
			$this->rss     =$rss;
			$this->rssPath =$rssPath;
			$this->rssURL  =$rssURL;
		}
		function getRss(){
			return   $this->rss ;
		}
		function getRssPath(){
			return   $this->rssPath ;
		}
		function getRssURL(){
			return   $this->rssURL ;
		}
		function setRss($rss){
			$this->rss=$rss;
		}
		function setRssPath($rssPath){
			$this->rssPath=$rssPath;
		}
		function setRssURL($rssURL){
			$this->rssURL=$rssURL;
		}
	}
}
if (!class_exists('imageItem', false)) {
	class imageItem{
		//<img src="arco1.jpg" id="id2" title="Titolo arco" caption="Caption Arco" link="http://home.boncko.it/" target="_blank" pause="" />
		static function cmpName($a, $b){
		        //echo $a->getMediaName()." ".$b->getMediaName()." ".strcasecmp($a->getMediaName(),$b->getMediaName())."<br>";
			$x=strcasecmp($a->getMediaName(),$b->getMediaName());
			if($x==0) return 0;
			return ($x<0)?-1:1;
		}
		static function cmpNameInverse($a, $b){
			return strcasecmp($b->getMediaName(),$a->getMediaName());
		}
		static function cmpDate($a, $b){
			if ($a->getMediaDate()==$b->getMediaDate()) return 0;
			if ($a->getMediaDate()> $b->getMediaDate()) return 1;
			if ($a->getMediaDate()< $b->getMediaDate()) return -1;
		}
		static function cmpDateInverse($a, $b){
			if ($a->getMediaDate()==$b->getMediaDate()) return 0;
			if ($a->getMediaDate()< $b->getMediaDate()) return 1;
			if ($a->getMediaDate()> $b->getMediaDate()) return -1;
		}

		static function cmpPath($a, $b){
			return strcasecmp($a->getMediaPath().'/'.$a->getMediaName(),$b->getMediaPath().'/'.$b->getMediaName());
		}
        var $img;
        var $id;
		var $title;
		var $caption;
		var $url;
		var $path;
		var $link;
		var $date;
		var $_debug=false;

		function __toString(){
			$txt='
      <img />';
			return $txt;
		}
		function debug($msg){
			if($this->_debug) echo "RSSItem:".$msg."<br>
  	";
		}
		function __construct( $img,$imgUrl,$imgPath,$showLink,$_debug=false ){
			$this->_debug=$_debug;
			$this->img=$img;
			$this->url=$umgUrl;
			$this->date=filemtime( $this->path.'/'.$this->img);
			$this->showLink=$showLink;
			$vowels = array(".", "_", "-", "jpg","flv", "gif", "JPG", "GIF","FLV");
			$this->title =str_replace($vowels, " ", $media);
			$this->id=md5($mediaPath.$media);
			if($mediaUrl!=""){
				$this->link=$imgUrl."/".$img;
			}
			$this->debug("MEDIA NAME:".$this->img." MEDIA PATH:".$this->path);
		}
		function getImgAttr() {
			return 'src='.$this->img.'"';
		}
		function getIdAttr(){
			return 'id="'.$this->id.'"';
		}
		function getTitleAttr(){
		  return 'title="'.$this->title.'"';	
		}
		function getCaptionAttr(){
		  return ;
		} 
		var $url;
		var $path;
		var $link;
		var $date;
		


	}
}
if (!class_exists('rssCIItemList', false)) {
	class rssCIItemList extends ArrayObject {
		private static $itemExt = array("JPG","PNG","GIF","PNG","FLV","FLW");
		private $music;
		private $logo;
		private $_debug=false;

		function debug($msg){
			if($this->_debug) echo "rssCIItemList:".$msg."<br/>
  	";
		}
		function __construct($_directory="",$_url="",$_playico="",$_logo="",$_music="",$_showLink=true,$_debug=false,$_filterRegEx='/BNCKTMB/i'){
			parent::__construct();
			$this->setLogo($_logo);
			$this->setMusic($_music);
			$this->_debug=$_debug;
			if ($dh = opendir($_directory)) {
				while (($f = readdir($dh)) !== false) {
					$this->debug("FILE:".$f);
					$getExt    = explode ('.', $f);
					$getExt = strtoupper($getExt[count($getExt)-1]);
					//echo "<br>".preg_match($_filterRegEx,strtoupper($f))." f:".$f." reg".$_filterRegEx;
					if(in_array($getExt,rssCIItemList::$itemExt) && !preg_match($_filterRegEx,strtoupper($f))){
						$this->append(new rssCIItem($_directory,$_url,$f,$_playico,$_showLink,$this->_debug));
					}
				}
				closedir($dh);
			}
		}
		function append($_obj){
			if(get_class($_obj)=="rssCIItem"){
				parent::append($_obj);
				return;
			}
			if(get_class($_obj)=="rssCIItemList"){
				$iterator = $_obj->getIterator();
				while($iterator->valid()) {
					$this->append($iterator->current());
					$iterator->next();
				}
				return;
			}
		}
		function getMusic(){
			return $this->music;
		}
		function setMusic($_music){
			if($_music!="")
			$this->music='<atom:link rel="enclosure" type="audio/mpeg" length="1337" href="'.$_music.'" />';
		}
		function getLogo(){
			return $this->logo;
		}
		function setLogo($_logo){
			if($_logo!="")
			$this->logo='<atom:icon>'.$_logo.'</atom:icon>';
		}
		function sortByItemName(){
			$this->uasort('rssCIItem::cmpName');
		}
		function sortByItemNameReverse(){
			$this->uasort('rssCIItem::cmpNameInverse');
		}
		function sortByItemDate(){
			$this->uasort('rssCIItem::cmpDate');
		}
		function sortByItemDateReverse(){
			$this->uasort('rssCIItem::cmpDateInverse');
		}
		function sortByItemPath(){
			$this->uasort('rssCIItem::cmpPath');
		}
		function __toString(){
			$rss=
  '<?xml version="1.0" encoding="utf-8" standalone="yes"?>
   <rss version="2.0" xmlns:media="http://search.yahoo.com/mrss" xmlns:atom="http://www.w3.org/2005/Atom">
    <channel>
    '.$this->getMusic().'
    '.$this->getLogo();
			$iterator = $this->getIterator();
			$i=1000;
			while($iterator->valid()) {
				//echo $iterator->key() . ' => ' . $iterator->current() . "<br>\n";
				echo "<!--".$iterator->current()->__toString()."<br>\n-->";
				$guid=$iterator->current()->getGuid();
				$guid=$i.$guid."";
				$iterator->current()->setGuid($guid);
				$rss.=$iterator->current()->__toString();
				$iterator->next();
				$i++;
			}
			$rss.='
    </channel>
   </rss>';
			return $rss;
		}

	}
}
?>
